/**
 * state === state msg
 */
export function stateMsg(code) {
  var msg = ''
  switch (code) {
    case 100:
      msg = '文件上传-等待传输'
      break
    case 200:
      msg = '数据传输-传输中'
      break
    case 250:
      msg = '数据传输-失败'
      break
    case 299:
      msg = '数据传输-成功，等待脱敏'
      break
    case 300:
      msg = '数据脱敏-脱敏中'
      break
    case 350:
      msg = '数据脱敏-失败'
      break
    case 399:
      msg = '数据脱敏-成功，等待增强'
      break
    case 400:
      msg = '数据增强-增强中'
      break
    case 450:
      msg = '数据增强-失败'
      break
    case 499:
      msg = '数据增强-成功，等待格式转换'
      break
    case 500:
      msg = '格式转换-处理中'
      break
    case 551:
      msg = '格式转换-失败'
      break
    case 552:
      msg = '格式转换-失败'
      break
    case 599:
      msg = '格式转换-成功，等待智能诊断'
      break
    case 600:
      msg = '智能诊断-诊断中'
      break
    case 650:
      msg = '智能诊断-失败'
      break
    case 699:
      msg = '智能诊断-诊断完成'
      break
  }
  return msg
}
